#!/bin/bash

set -e

# get the root of the git repository (requires git to be installed)
GIT_ROOT=$(git rev-parse --show-toplevel)
cd "$GIT_ROOT"/generation

# define useful variables
source 00env.sh


rm -rf *.deb packaged-kernel_"$KERNEL_VERSION"
echo Downloading kernel package...
apt download linux-image-"$KERNEL_VERSION"-amd64
echo Extracting kernel package...
dpkg -X *.deb packaged-kernel_"$KERNEL_VERSION" > /dev/null
echo Generating module dependencies...
depmod -b ./packaged-kernel_"$KERNEL_VERSION" "$KERNEL_VERSION"-amd64
echo Done.
